import request from '@/utils/request'

// 查询继任者年度评分列表
export function listScore(query) {
  return request({
    url: '/spec/score/list',
    method: 'get',
    params: query
  })
}

// 查询继任者年度评分详细
export function getScoreById(id) {
  return request({
    url: '/spec/score/' + id,
    method: 'get'
  })
}

// 查询继任者年度评分详细
export function getScore(query) {
  return request({
    url: '/spec/score/getTStSuccessorScore',
    method: 'get',
    params: query
  })
}

// 新增继任者年度评分
export function addScore(data) {
  return request({
    url: '/spec/score',
    method: 'post',
    data: data
  })
}

// 修改继任者年度评分
export function updateScore(data) {
  return request({
    url: '/spec/score',
    method: 'put',
    data: data
  })
}

// 删除继任者年度评分
export function delScore(id) {
  return request({
    url: '/spec/score/' + id,
    method: 'delete'
  })
}

// 导出继任者年度评分
export function exportScore(query) {
  return request({
    url: '/spec/score/export',
    method: 'get',
    params: query
  })
}
